cURL
curl "https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2?email=anna@example.com"const r = await fetch("https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2?email=anna@example.com");
o = requests.get("https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2",
params={"email":"anna@example.com"}).json()
<?php
$o = json_decode(file_get_contents('https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2?email=anna@example.com'), true);
{
"id": 901,
"order_number": "ND-1745014102-A8F2",
"customer_email": "jsmith@example.com",
"status": "pending",
"payment_status": "unpaid",
"total": 123,
"currency": "gbp",
"customer_name": "<string>",
"customer_phone": "<string>",
"subtotal": 123,
"tax_amount": 123,
"shipping_amount": 123,
"discount_amount": 123,
"payment_method": "stripe",
"billing_address": {},
"shipping_address": {},
"notes": "<string>",
"admin_notes": "<string>",
"items": [
{
"name": "<string>",
"quantity": 1,
"unit_price": 2999,
"total": 2999,
"product_id": 123,
"product_variant_id": 123,
"sku": "<string>",
"metadata": {}
}
],
"paid_at": "2023-11-07T05:31:56Z",
"shipped_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"type": "https://api.neuraldraft.io/errors/bad_request",
"title": "Bad request",
"status": 400,
"detail": "Request body could not be parsed.",
"code": "bad_request",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/rate_limited",
"title": "Too many requests",
"status": 429,
"detail": "Rate limit exceeded. Retry in 12 seconds.",
"code": "rate_limited",
"instance": "req_2Nh4PqRsTuVw"
}Commerce
Public order lookup
Lets a customer check their order status without an account. Requires
the order number in the path and the customer email in the
email query string as a verification proof.
Returns a public-fields-only variant.
GET
/
public
/
orders
/
{order_number}
cURL
curl "https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2?email=anna@example.com"const r = await fetch("https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2?email=anna@example.com");
o = requests.get("https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2",
params={"email":"anna@example.com"}).json()
<?php
$o = json_decode(file_get_contents('https://api.neuraldraft.io/v1/public/orders/ND-1745014102-A8F2?email=anna@example.com'), true);
{
"id": 901,
"order_number": "ND-1745014102-A8F2",
"customer_email": "jsmith@example.com",
"status": "pending",
"payment_status": "unpaid",
"total": 123,
"currency": "gbp",
"customer_name": "<string>",
"customer_phone": "<string>",
"subtotal": 123,
"tax_amount": 123,
"shipping_amount": 123,
"discount_amount": 123,
"payment_method": "stripe",
"billing_address": {},
"shipping_address": {},
"notes": "<string>",
"admin_notes": "<string>",
"items": [
{
"name": "<string>",
"quantity": 1,
"unit_price": 2999,
"total": 2999,
"product_id": 123,
"product_variant_id": 123,
"sku": "<string>",
"metadata": {}
}
],
"paid_at": "2023-11-07T05:31:56Z",
"shipped_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"type": "https://api.neuraldraft.io/errors/bad_request",
"title": "Bad request",
"status": 400,
"detail": "Request body could not be parsed.",
"code": "bad_request",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/rate_limited",
"title": "Too many requests",
"status": 429,
"detail": "Rate limit exceeded. Retry in 12 seconds.",
"code": "rate_limited",
"instance": "req_2Nh4PqRsTuVw"
}Path Parameters
Example:
"ND-1745014102-A8F2"
Query Parameters
Response
Order.
Example:
901
Example:
"ND-1745014102-A8F2"
Available options:
pending, paid, processing, shipped, delivered, cancelled, refunded Available options:
unpaid, paid, partially_refunded, refunded, failed Example:
"gbp"
Available options:
stripe, manual Hidden in public lookups.
Show child attributes
Show child attributes